Subject: bug#54436: 28.0.91; Only every second mouse wheel scroll is registered

From: Po Lu <[email-masked]>
Date: Mon, 21 Mar 2022 19:05:17 +0800

Urban Duh <[email-masked]> writes:

>> On the other hand, I don't see why that would happen on Wayland.  Do you
>> see a similar problem with a different mouse?  And can you verify that
>> your build is actually running in Wayland and not Xwayland?
>
> I have the same issue with two different mouses (Logitech MX Master 3 and
> a cheap off-brand mouse). My build is running Wayland (tested with xeyes 
> and by disabling Xwayland on gnome via gnome-shell --no-x11).

What happens if you set mwheel-coalesce-scroll-events to nil?